System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable

has different underlying data structures from its corresponding .NET Framework data type. has no concept of precision. It uses 3 bytes to store the actual data, and therefore has a maximum scale of 28. The data range is -79,228,162,514,264,337,593,543,950,335 through 79,228,162,514,264,337,593,543,950,335. has both precision and scale. It uses 4 unsigned 4-byte integers to store the actual data, and therefore has maximum precision and scale of 38. The data range is - 10^38 +1 through 10^38 - 1.

Represents a numeric value between - 10^38 +1 and 10^38 - 1, with fixed precision and scale.

- Constructor
  To be added

  Initializes a new instance of the structure using the supplied value.

  The value to be stored as a structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied double parameter.

  A double, representing the value for the new structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied integer value.

  The supplied integer value which will the used as the value of the new structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied long integer value.

  The supplied long integer value which will the used as the value of the new structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied parameters.

  The maximum number of digits that can be used to represent the property of the new structure.
  The number of decimal places to which the property will be resolved for the new structure.
  A Boolean value that indicates whether the new structure represents a positive or negative number.
  The 128-bit unsigned integer that provides the value of the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied parameters.

  The maximum number of digits that can be used to represent the property of the new structure.
  The number of decimal places to which the property will be resolved for the new structure.
  A Boolean value that indicates whether the new structure represents a positive or negative number.
  An 32-bit unsigned integer which will be combined with data2, data3, and data4 to make up the 128-bit unsigned integer that represents the new structures value.
  An 32-bit unsigned integer which will be combined with data1, data3, and data4 to make up the 128-bit unsigned integer that represents the new structures value.
  An 32-bit unsigned integer which will be combined with data1, data2, and data4 to make up the 128-bit unsigned integer that represents the new structures value.
  An 32-bit unsigned integer which will be combined with data1, data2, and data3 to make up the 128-bit unsigned integer that represents the new structures value.
  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` To be added

  The Abs method gets the absolute value of the parameter.

  A structure whose property contains the unsigned number representing the absolute value of the parameter.

  A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` `` To be added

  Calculates the sum of the two operators.

  A new structure whose property contains the sum.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` `` `` To be added

  The scale of the operand will be adjusted to the number of digits indicated by the digits parameter. Depending on the value of the fRound parameter, the value will either be rounded to the appropriate number of digits or truncated.

  A new structure whose property contains the adjusted number.

  The structure to be adjusted. The number of digits in the adjusted structure. If this parameter is true, the new Value will be rounded, if false, the value will be truncated. 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] To be added: an object of type 'byte []' To be added

  Get the binary representation of the value of this structure as an array of bytes.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` To be added

  Returns the smallest whole number greater than or equal to the specified structure.

  A representing the smallest whole number greater than or equal to the specified structure.

  The structure for which the ceiling value is to be calculated. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Compares this instance to the supplied object and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The to be compared.
- Method
  System.Int32 `` To be added

  Compares this instance to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return Value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` `` `` To be added

  Adjusts the value of the operand to the indicated precision and scale.

  A new structure whose Value has been adjusted to the precision and scale indicated in the parameters.

  The structure whose value is to be adjusted. The precision for the new structure. The scale for the new structure. 1.0.5000.0 2.0.0.0
- Property
  System.Int32[] To be added: an object of type 'int []' To be added

  Gets the binary representation of this structure as an array of integers.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` `` To be added

  The division operator calculates the results of dividing the first operand by the second.

  A new structure whose property contains the results of the division.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied parameter to the property of the instance.

  true if object is an instance of and the two are equal. Otherwise, false.

  The to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two operands to determine whether they are equal.

  true if the two values are equal. Otherwise, false. If either instance is null, the value of the SqlDecimal will be null.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` To be added

  Rounds a specified number to the next lower whole number.

  A structure that contains the whole number part of this structure.

  The structure for which the floor value is to be calculated. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string value that indicates the XSD of the specified .

  A .
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of two structures to determine whether the first is greater than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Indicates whether this structure is null.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Indicates whether the of this structure is greater than zero.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of two structures to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Byte

  The value of this constant is 38.

  A constant representing the largest possible value for the property.

  1.0.5000.0
  2.0.0.0
  38
- Field
  System.Byte To be added

  A constant representing the maximum value for the property.

  1.0.5000.0
  2.0.0.0
  38
- Field
  System.Data.SqlTypes.SqlDecimal

  The value of this constant is 99,999,999,999,999,999,999,999,999,999,999,999,999.

  A constant representing the maximum value of a structure.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlDecimal

  The value of this constant is -99,999,999,999,999,999,999,999,999,999,999,999,999.

  A constant representing the minimum value for a structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` `` To be added

  The multiplication operator computes the product of the two parameters.

  A new structure whose property contains the product of the multiplication.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlDecimal

  For more information, see Handling Null Values (ADO.NET).

  Represents a that can be assigned to this instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` `` To be added.

  Calculates the sum of the two operators.

  A new structure whose property contains the sum.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` `` To be added.

  The division operator calculates the results of dividing the first operand by the second.

  A new structure whose property contains the results of the division.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two operands to determine whether they are equal.

  A that is if the two instances are equal or if the two instances are not equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Decimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of two structures to determine whether the first is greater than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of two structures to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` `` To be added.

  The multiplication operator computes the product of the two parameters.

  A new structure whose property contains the product of the multiplication.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` `` To be added.

  Calculates the results of subtracting the second operand from the first.

  A new structure whose Value property contains the results of the subtraction.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDecimal `` To be added.

  The unary minus operator negates the parameter.

  A new structure whose value contains the results of the negation.

  The structure to be negated.
- Method
  System.Data.SqlTypes.SqlDecimal `` To be added

  Converts the representation of a number to its equivalent.

  A equivalent to the value that is contained in the specified .

  The String to be parsed. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` `` To be added

  Raises the value of the specified structure to the specified exponential power.

  A structure that contains the results.

  The structure to be raised to a power. A double value that indicates the power to which the number should be raised. 1.0.5000.0 2.0.0.0
- Property
  System.Byte To be added: an object of type 'byte' To be added

  Gets the maximum number of digits used to represent the property.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` `` To be added

  Gets the number nearest the specified structure's value with the specified precision.

  A structure that contains the results of the rounding operation.

  The structure to be rounded. The number of significant fractional digits (precision) in the return value. 1.0.5000.0 2.0.0.0
- Property
  System.Byte To be added: an object of type 'byte' To be added

  Gets the number of decimal places to which is resolved.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt32 `` To be added

  Gets a value that indicates the sign of a structure's property.

  A number that indicates the sign of the structure.

  The structure whose sign is to be evaluated. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` `` To be added

  Calculates the results of subtracting the second operand from the first.

  A new structure whose Value property contains the results of the subtraction.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  An XmlSchema.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlReader
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlWriter
- Method
  System.Double To be added

  Returns the a double equal to the contents of the property of this instance.

  The decimal representation of the property.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean To be added

  Converts this structure to .

  true if the is non-zero; false if zero; otherwise Null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte To be added

  Converts this structure to .

  A structure whose Value equals the Value of this structure. If the structure's Value is true, the structure's Value will be 1. Otherwise, the structure's Value will be 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble To be added

  Converts this structure to .

  A structure with the same value as this instance of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt16 To be added

  Converts this structure to .

  A structure with the same value as this instance of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt32 To be added

  Converts this structure to .

  A structure with the same value as this instance of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt64 To be added

  Converts this structure to .

  A structure with the same value as this instance of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney To be added

  Converts this structure to .

  A structure with the same value as this instance of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle To be added

  Converts this structure to .

  A structure with the same value as this instance of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlString To be added

  Converts this structure to .

  A structure whose value is a string representing the value contained in this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts this structure to .

  A new object that contains the string representation of the structure's property.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` `` To be added

  Truncates the specified structure's value to the that you want position.

  Supply a negative value for the parameter in order to truncate the value to the corresponding position to the left of the decimal point.

  The structure to be truncated. The decimal position to which the number will be truncated. 1.0.5000.0 2.0.0.0
- Property
  System.Decimal To be added: an object of type 'decimal' To be added

  Gets the value of the structure. This property is read-only.

  1.0.5000.0
  2.0.0.0
System.Xml.Serialization.XmlSchemaProvider("GetXsdType")